> For the complete documentation index, see [llms.txt](https://docs.ilikeitstable.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilikeitstable.com/stab-protocol/technical-info/components-and-manifests.md).

# Components & Manifests

The three interactions currently impossible through the front-end are using flash loans, redemptions (forced liquidations) and forced minting. These are all handled by the Stabilis Proxy Component.

**Flash loan manifest**

Flash loan receipt resource address: `resource_tdx_2_1ng9qmw3dsv3hfu7fem359llx8049af5thn9gehdrefr4xp7ckggxza`

Proxy component address: `component_tdx_2_1cpv6ach7wxjp79g09c0dcc9c8qy7hw9wxsfpmnr56tgd6a0pk0zk9d`

STAB resource address: `resource_tdx_2_1t57r3zezvsx0gud4p2ed3seteqaahnyzg5ahavamqyxqltkmjqpdxf`

```
CALL_METHOD
  Address("<proxy_component_address>")
  "flash_borrow"
  Decimal("1000")
;

////////////////////////////////////////////////////////////////////////////
/////////////////////// USE YOUR BORROWED STAB HERE ////////////////////////
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//// PUT THE STAB YOU'RE USING TO PAY BACK THE LOAN ON THE WORK TOP ////////
////////////////////////////////////////////////////////////////////////////

TAKE_ALL_FROM_WORKTOP
  Address("<stab_address>")
  Bucket("stab_bucket")
;

TAKE_ALL_FROM_WORKTOP
  Address("<loan_receipt_address>")
  Bucket("receipt_bucket")
;

CALL_METHOD
  Address("<proxy_component_address>")
  "flash_pay_back"
  Bucket("receipt_bucket")
  Bucket("stab_bucket")
;

CALL_METHOD
  Address("<your_account_address>")
  "deposit_batch"
  Expression("ENTIRE_WORKTOP")
;
```

**Redemptions / forced borrowing**

Information on manifests will follow soon, but if you like detective work, the necessary information is already available in the [STAB Protocol GitHub repo](https://github.com/Stabilis-Labs/stab-protocol).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilikeitstable.com/stab-protocol/technical-info/components-and-manifests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
